Loading...
Searching...
No Matches
CWeylSpecialPairMultiplier Class Reference

`#include <ncSAMult.h>`

## Public Member Functions

| CWeylSpecialPairMultiplier (ring r, int i, int j, number g)
virtual | ~CWeylSpecialPairMultiplier ()
virtual poly | MultiplyEE (const int expLeft, const int expRight)
Public Member Functions inherited from CSpecialPairMultiplier
| CSpecialPairMultiplier (ring r, int i, int j)
virtual | ~CSpecialPairMultiplier ()
int | GetI () const
int | GetJ () const
virtual poly | MultiplyME (const poly pMonom, const CExponent expRight)
virtual poly | MultiplyEM (const CExponent expLeft, const poly pMonom)
Public Member Functions inherited from CMultiplier< int >
| CMultiplier (ring rBaseRing)
virtual | ~CMultiplier ()
ring | GetBasering () const
int | NVars () const
poly | LM (const poly pTerm, const ring r, int i=1) const
poly | MultiplyTE (const poly pTerm, const int expRight)
poly | MultiplyET (const int expLeft, const poly pTerm)

## Private Attributes

const number | m_g

## Additional Inherited Members

Public Types inherited from CSpecialPairMultiplier
typedef int | CExponent
Protected Attributes inherited from CMultiplier< int >
const ring | m_basering
const int | m_NVars

## Detailed Description

Definition at line 539 of file ncSAMult.h.

## Constructor & Destructor Documentation

## CWeylSpecialPairMultiplier()

CWeylSpecialPairMultiplier::CWeylSpecialPairMultiplier | ( | ring | r,
|  | int | i,
|  | int | j,
|  | number | g )

Definition at line 621 of file ncSAMult.cc.

:
CSpecialPairMultiplier(r, i, j), m_g(g)
{
#if OUTPUT
Print("CWeylSpecialPairMultiplier::CWeylSpecialPairMultiplier(ring, i: %d, j: %d, g)!", i, j);
PrintLn();
PrintS("Parameter g: ");
n_Write(g, r);
#endif
}
i
int i
Definition cfEzgcd.cc:132
g
g
Definition cfModGcd.cc:4098
CSpecialPairMultiplier::CSpecialPairMultiplier
CSpecialPairMultiplier(ring r, int i, int j)
Definition ncSAMult.cc:1060
CWeylSpecialPairMultiplier::m_g
const number m_g
Definition ncSAMult.h:542
n_Write
static FORCE_INLINE void n_Write(number n, const coeffs r, const BOOLEAN bShortOut=TRUE)
Definition coeffs.h:594
Print
#define Print
Definition emacs.cc:80
j
int j
Definition facHensel.cc:110
PrintS
void PrintS(const char *s)
Definition reporter.cc:288
PrintLn
void PrintLn()
Definition reporter.cc:314

## ~CWeylSpecialPairMultiplier()

CWeylSpecialPairMultiplier::~CWeylSpecialPairMultiplier | ( |  | ) |

virtual

Definition at line 633 of file ncSAMult.cc.

{
#if OUTPUT
PrintS("CWeylSpecialPairMultiplier::~CWeylSpecialPairMultiplier()");
PrintLn();
#endif
}

## Member Function Documentation

## MultiplyEE()

poly CWeylSpecialPairMultiplier::MultiplyEE | ( | const int | expLeft,
|  | const int | expRight )

virtual

Implements CSpecialPairMultiplier.

Definition at line 642 of file ncSAMult.cc.

{
#if OUTPUT
Print("CWeylSpecialPairMultiplier::MultiplyEE(var(%d)^{%d}, var(%d)^{%d})!", GetJ(), expLeft, GetI(), expRight);
PrintLn();
#endif
// Char == 0, otherwise - problem!
const ring r = GetBasering();
assume( expLeft*expRight > 0 );
return CFormulaPowerMultiplier::ncSA_1xy0x0yG(GetI(), GetJ(), expRight, expLeft, m_g, r);
}
CFormulaPowerMultiplier::ncSA_1xy0x0yG
static poly ncSA_1xy0x0yG(const int i, const int j, const int n, const int m, const number m_g, const ring r)
Definition ncSAFormula.cc:730
CMultiplier< int >::GetBasering
ring GetBasering() const
Definition ncSAMult.h:35
CSpecialPairMultiplier::GetI
int GetI() const
Definition ncSAMult.h:108
CSpecialPairMultiplier::GetJ
int GetJ() const
Definition ncSAMult.h:109
assume
#define assume(x)
Definition mod2.h:389

## Field Documentation

## m_g

const number CWeylSpecialPairMultiplier::m_g

private

Definition at line 542 of file ncSAMult.h.

The documentation for this class was generated from the following files:

- libpolys/polys/nc/ncSAMult.h
- libpolys/polys/nc/ncSAMult.cc